#include <string.h>
#include "common.h"

typedef class groupListElement *groupListElementPointer;

class groupListElement {
public:
	groupListElement(char *groupName, groupListElementPointer oldList);
	~groupListElement(); 
	friend class groupList;
private:
	char *thisGroup;
	groupListElementPointer next;
};

typedef class groupList *groupListPointer;

class groupList {
public:
	groupList(); 
	void 	addGroup(char *groupName);
	char 	*nextGroup();
	int	numGroups();
private:
	int num;
	groupListElementPointer next,last;
};
